import sys
import os
sys.path.append(os.path.join(os.path.dirname(__file__), "../"))

import multiprocessing
import logging

from Crypto import Random
from util.log import logfile_path

logconfig = logfile_path(debug=False)

bind = 'unix:/tmp/gunicorn_verbs.sock'
workers = max(int(os.getenv("WORKER_COUNT_VERBS", multiprocessing.cpu_count())), 2)
pythonpath = '.'
preload_app = True
timeout = 2000  # Because sync workers


def post_fork(server, worker):
  # Reset the Random library to ensure it won't raise the "PID check failed." error after
  # gunicorn forks.
  Random.atfork()

def when_ready(server):
  logger = logging.getLogger(__name__)
  logger.debug('Starting verbs gunicorn with %s workers and sync worker class', workers)
